yaws (2.0.3-2) unstable; urgency=medium

  * Applied a patch from upstream to fix CVE-2016-1000108 (passing the
    HTTP_PROXY environment variable to CGI scripts). Closes: #832433.
  * Finally fixed the paths of run_erl and to_erl utilities in the
    /usr/bin/yaws script.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Jul 2016 13:48:07 +0300

yaws (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Dropped the patch for the documentation fix since it's applied upstream.
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 03 Jul 2016 15:29:54 +0300

yaws (2.0.2-2) unstable; urgency=medium

  * Fixed the paths of run_erl and to_erl utilities in the /usr/bin/yaws
    script.
  * Fixed FTBFS when dpkg-buildpackage -A is called to build architecture
    independent packages only (closes: #806664).
  * Moved the default Yaws default web files to /usr/share/yaws/www as
    this directory is listed in the config files.
  * Added --chdir option to the start-stop-daemon command execution to make
    sure the Yaws working directory is its home and not the root.
  * Fixed the compression_level option name in docs (closes: #815207).
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 26 Mar 2016 11:03:59 +0300

yaws (2.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Nov 2015 13:41:45 +0300

yaws (1.99-2) unstable; urgency=medium

  * Fixed the /usr/share/yaws-wiki symlink to directory conversion
    (closes: #804940).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Nov 2015 11:33:25 +0300

yaws (1.99-1) unstable; urgency=medium

  * New upstream release.
  * Split out the yapp application into the separate erlang-yapp package to
    simplify its embedding into Yaws applications.
  * Simplified the get-orig-source target in debian/rules because the upstream
    no longer creates the yaws symlink at the upper level in the tarball.
  * Moved the Yaws applications web files to /usr/share/yaws-<application>/www,
    or to /var/lib/yaws-wiki/www.
  * Converted directory /usr/lib/yaws into a symlink since upstream now
    installs Yaws binaries into /usr/lib/yaws-<version> instead of
    /usr/lib/yaws.
  * Moved the directory for custom Yaws modules from /usr/lib/yaws/custom to
    /usr/local/lib/yaws-appmods.
  * Added missing copyrights to the debian/copyright file.
  * Overridden the lintian warning on a Javascript file without source
    because it isn't obfuscated or minified.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 11 Nov 2015 16:11:44 +0300

yaws (1.98-5) unstable; urgency=medium

  * Fixed FTBFS with Erlang 18 caused by deprecating erlang:now/0
    (closes: #790625).
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 05 Jul 2015 17:13:15 +0300

yaws (1.98-4) unstable; urgency=low

  * Switched to the well-known logrotate tool to rotate the YAWS log files
    from its internal rotator which rotates logs only based on their size.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 18 Aug 2014 08:41:21 +0400

yaws (1.98-3) unstable; urgency=low

  * Don't use su for switching to the yaws user in init.d script. Use
    start-stop-daemon instead. Also, use the default shell for the yaws
    system user instead of /bin/sh.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 12 May 2014 13:23:41 +0400

yaws (1.98-2) unstable; urgency=low

  * Use userdel --force in postrm script to remove the yaws user on purging
    the yaws package.
  * Create yaws homedir if it doesn't exist in postinst script.
  * Delete /etc/yaws directory in postrm script only if it does exist.
  * Use init functions from lsb-base to report init.d script progress and
    status.
  * More carefully process errors when starting and stopping the Yaws daemon
    (closes: #728796).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Dec 2013 15:49:50 +0400

yaws (1.98-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 12 Nov 2013 09:20:34 +0400

yaws (1.97-2) unstable; urgency=low

  * Added --with autotools_dev dh option to fix build on arm64 architecture
    (closes: #727526).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Nov 2013 08:37:55 +0400

yaws (1.97-1) unstable; urgency=low

  * New upstream release.
  * Removed patch which fixed building with Erlang R16B01.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Oct 2013 17:37:30 +0400

yaws (1.96-4) unstable; urgency=low

  * Fixed cleaning in debian/rules (closes: #724165).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 23 Sep 2013 10:49:44 +0400

yaws (1.96-3) unstable; urgency=low

  * Fixed FTBFS if built with Erlang R16B01 (closes: #718084).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 28 Jul 2013 22:33:38 +0400

yaws (1.96-2) unstable; urgency=low

  * Switched to 3.0 (quilt) source package version.
  * Bumped debhelper compatibility version to 8.
  * Bumped standards version to 3.9.4.
  * Separated arch-independent build dependencies from arch-dependent ones.
  * Install yaws_soap_lib.5 manpage.
  * Added a few forgotten objects to clean target.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 May 2013 22:34:36 +0400

yaws (1.96-1) experimental; urgency=low

  * New upstream release.
  * Removed patch which fixed building mime_types.beam because it's no longer
    necessary.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 Mar 2013 13:02:55 +0400

yaws (1.95-1) experimental; urgency=low

  * New upstream feature release.
  * Fixed build of mime_types.beam in case when unversioned yaws link is
    removed from the sources tarball.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 18 Oct 2012 23:58:09 +0400

yaws (1.94-1) unstable; urgency=low

  * New upstream bugfix release.
  * Removed patches introduced in 1.93-1 and 1.93-2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Jun 2012 10:08:55 +0400

yaws (1.93-2) unstable; urgency=low

  * Added a patch which fixes delivering directory listings.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Jun 2012 09:17:49 +0400

yaws (1.93-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches and removed those which are no longer necessary.
  * Added a patch which strengthens the random number generation for the
    chat and mail applications. It also ensures all the characters in
    the yaws_session_server cookies are printable.
  * Don't compress the yaws.eps logo in the examples.
  * Removed use_fdsrv option from the yaws.conf because its support is
    removed by upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Jun 2012 15:45:00 +0400

yaws (1.92-4) unstable; urgency=low

  * Removed unnecessary suggested dependency on erlang-dev.
  * Cleaned up debian/rules a bit.
  * Bumped debhelper competibility version to 7 because of dh_lintian.
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 08 Jun 2012 09:20:57 +0400

yaws (1.92-3) unstable; urgency=low

  * Switched to long options in init.d script because the short ones aren't
    documented anymore.
  * Added a short notice on how to bind to a privileged port in yaws.default
    file comments and README.Debian.
  * Change Yaws config files permissions only if the local admin didn't
    override them using dpkg-statoverride.
  * Switched to the snakeoil SSL certificate from generating a new one in
    postinstallation script.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 May 2012 16:57:06 +0400

yaws (1.92-2) unstable; urgency=low

  * Added patch which fixes version and modules list in the yapp application
    script yapp.app.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Feb 2012 10:40:29 +0400

yaws (1.92-1) unstable; urgency=low

  * New upstream release.
  * Removed patches which fix directory traversal bug and loading external
    drivers for Erlang R15B because they are included into this upstream
    release.
  * Added a few more fixes for compatibility with Erlang R15B.
  * Removed patch which uses external mime.types.
  * Added a patch which fixes CVE-2011-5025 in the yaws-wiki package
    (closes: #653966).
  * Copied acceptor_pool_size option to yaws.conf from the upstream config.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 18 Jan 2012 09:46:18 +0400

yaws (1.91-3) experimental; urgency=low

  * Added patch which fixes loading external drivers in Erlang R15B.
  * Added patch which moves from regexp to re module because the former
    is removed from Erlang R15B.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 Dec 2011 12:30:44 +0400

yaws (1.91-2) unstable; urgency=high

  * Added patch by Uwe Dauernheim which fixes directory traversal bug
    (closes: #650009).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 26 Nov 2011 19:34:12 +0400

yaws (1.91-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 09 Aug 2011 23:26:01 +0400

yaws (1.90-2) unstable; urgency=low

  * Removed -m32 and -m64 gcc command line option which led to FTBFS on
    ia64 and s390 architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 13 Jun 2011 16:34:40 +0400

yaws (1.90-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.9.2.
  * Fixed a few spelling errors in package descriptions.
  * Fixed a bug in yaws.conf(5) manpage.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 13 Jun 2011 15:34:55 +0400

yaws (1.89-1) experimental; urgency=low

  * New upstream release.
  * Synchrinized config file with the upstream version.
  * Bumped standards version to 3.9.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Nov 2010 09:19:07 +0300

yaws (1.88-2) unstable; urgency=low

  * Split out Yaws application to a separate package erlang-yaws, which
    simplifies using Yaws in embedded mode. The yaws binary package now
    includes additional binaries and configs necessary to run a standalone
    Yaws daemon.
  * Bumped standards version to 3.9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Jul 2010 17:38:18 +0400

yaws (1.88-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Mar 2010 15:43:06 +0300

yaws (1.87-1) unstable; urgency=low

  * New upstream release.
  * Moved Yaws binaries to /usr/lib/yaws directory to follow upstream closer
    and to make sure that private Yaws modules don't clash with any other
    application. The drawback is that now one has to add -pa /usr/lib/yaws/ebin
    to the command line if he wants to use Yaws in embedded mode.
  * Split out yaws-doc package which contains documentation in PDF and
    examples.
  * Added README.Debian in which clarified how to change epam permissions in
    case when it has to be suid or sgid binary.
  * Don't create /var/run/yaws in Yaws init script because this directory is
    no longer used. Also, change working dir to /var/cache/yaws before starting
    the daemon because Erlang issues warnings about inaccessible modules if
    the current dir isn't readable by yaws user.
  * Fixed a few spelling errors in manpages.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Jan 2010 23:41:06 +0300

yaws (1.86-2) unstable; urgency=low

  * Renamed \ifpdf macro to \ifpdfoutput in yaws.tex documentation file because
    it clashes with ifpdf package which is sourced by geometry package in
    TeXLive 2009 (closes: #560759).
  * Added texlive-font-utils to build dependencies because epstopdf script has
    been moved to it from texlive-extra-utils in TeXLive 2009.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 12 Dec 2009 19:19:32 +0300

yaws (1.86-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Dec 2009 19:37:09 +0300

yaws (1.85-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 30 Oct 2009 22:36:02 +0300

yaws (1.84-2) unstable; urgency=low

  * New maintainer's email address pkg-erlang-devel@lists.alioth.debian.org.
  * Added VCS headers to debian/control.
  * Added README.source with a link to /usr/share/doc/quilt/README.source
    where one can find info on how to apply a series of patches to an original
    source tarball.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 Oct 2009 17:23:15 +0400

yaws (1.84-1) unstable; urgency=low

  * New upstream release.
  * Removed Torsten Werner from the uploaders list as per his request.
  * Replaced build dependency on erlang-nox by dependency on erlang-edoc and
    erlang-mnesia because erlang-nox became a transitional package and will
    be removed in the future.
  * Added ${erlang:Depends} variable to binary packages dependencies. This
    allows to calculate dependencies automatically. This means that erlang-dev
    build dependency version became 1:13.b.1-3 or higher.
  * Bumped standards version to 3.8.1.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Aug 2009 12:17:53 +0400

yaws (1.82-2) unstable; urgency=low

  * Fixed default config name (in 1.82 specifying /etc/yaws in configure
    script call moved default config to /etc/yaws/yaws).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Jun 2009 19:21:31 +0400

yaws (1.82-1) unstable; urgency=low

  * New upstream release.
  * Moved yaws-yapp, yaws-mail, yaws-chat and yaws-wiki back to web section.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 07 Jun 2009 12:10:30 +0400

yaws (1.81-2) unstable; urgency=low

  * Moved epam binary from priv/lib to priv directory where YAWS expects to
    find it (closes: #522158).
  * Added build-dependency on erlang-dev (>= 1:13.b) to make transition to
    Erlang R13B easier.
  * Bumped standards version to 3.8.1.
  * Moved the package to httpd section.
  * Removed /var/run/yaws directory from the binary package.
  * Overridden lintian warning virtual-package-depends-without-real-package-
    depends because the virtual packages erlang-abi-* are provided only to
    simplify transition to another version of Erlang interface ABI, and
    yaws package already depends on erlang-base which provides erlang-abi-*.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 May 2009 21:00:29 +0400

yaws (1.81-1) unstable; urgency=low

  * New upstrteam release which in particular fixes cleanup in man directory
    (closes: #519655).
  * Added zip and bzip2 to suggested dependencies as this would allow YAWS
    to deliver zipped or bzipped contents in addition to gzipped one (tar and
    gzip are required packages, so they always present). (closes: #512814).
  * Added several TeXLive packages to build-dependencies to build Postscript
    and PDF documentation which isn't prebuilt now.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 14 Mar 2009 08:39:45 +0300

yaws (1.80-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 16 Feb 2009 13:29:33 +0300

yaws (1.77-3) unstable; urgency=low

  * Fixed init.d script to wait until yaws daemon is actually started.
  * Removed unnecessary displayed messages from yaws postinstall script.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Dec 2008 14:16:33 +0300

yaws (1.77-2) unstable; urgency=low

  * Removed unnecessary package grep-dctrl from build dependencies.
  * Protected hostname -s and hostname -d calls in postinst script to prevent
    its failure in case when hostname is incorrectly configured. It's harmless
    to replace hostname by "localhost" because it's used only for generating
    a reference SSL certificate which is to be replaced by a proper one.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 29 Aug 2008 00:46:52 +0400

yaws (1.77-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Jun 2008 09:55:41 +0400

yaws (1.76-4) unstable; urgency=low

  * Fixed bug with processing YAWS control file if it is parseable by
    file:consult/1 but doesn't have a meaningful content.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Jun 2008 21:32:14 +0400

yaws (1.76-3) unstable; urgency=low

  * Added a patch which fixes typo in eacces error code.
  * Catched error code 3 in YAWS init script when stopping the server. This
    error code means that the server isn't running (closes: #483153).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 27 May 2008 22:43:16 +0400

yaws (1.76-2) unstable; urgency=low

  * Added checks for error code 2 after quilt invocation which means that all
    patches are already pushed/popped. This allows to convert the source
    package to 3.0 (quilt) format (closes: #482713).
  * Cleaned up debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 25 May 2008 13:14:53 +0400

yaws (1.76-1) unstable; urgency=low

  * New upstream release.
  * Fixed build-dependencies (removed -1 suffix from erlang-dev version).
  * Removed HOSTNAME variable from postinstall script because it might be
    confused with bash environment variable.
  * Added a patch which fixes two minor bugs in manpages.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Apr 2008 22:01:09 +0400

yaws (1.75-1) unstable; urgency=low

  * New upstream release.
  * Added a requirement for $remote_fs into init.d script because YAWS needs
    mounted /usr to run (closes: #464025).
  * Removed empty directories /usr/lib/erlang/lib/yaws-*/examples/* from the
    binary package.
  * Overridden lintian warnings about empty directories /usr/lib/yaws/ebin
    and /usr/lib/yaws/include. They are necessary for YAWS with default config
    to start.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 17 Feb 2008 17:21:35 +0300

yaws (1.74-2) unstable; urgency=low

  * Added a hack to build YAWS on hurd-i386 architecture.
  * Bumped standards-version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Jan 2008 13:56:19 +0300

yaws (1.74-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 29 Dec 2007 21:26:24 +0300

yaws (1.73-2) unstable; urgency=low

  * Remove /etc/mail/yaws-webmail.conf if it wasn't modified by a user when
    upgrading from pre-split yaws package (version 1.66-1 or older). This
    config file is moved to yaws-mail package and therefore isn't needed in
    main package anymore (closes: #454962).
  * Moved yaws pages cache from /var/run/yaws (which may be on a tmpfs) to
    /var/cache/yaws and create /var/run/yaws in init.d script if necessary
    (closes: #456300).
  * Added Homepage field to debian control file.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 16 Dec 2007 16:37:33 +0300

yaws (1.73-1) unstable; urgency=low

  * New upstream bugfix release.
  * Removed patch which fixed SSL connections as it is included into upstream
    distribution.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 02 Oct 2007 19:10:52 +0400

yaws (1.72-1) unstable; urgency=low

  * New upstream release (fixes image files which were broken in 1.70
    release).
  * Added patch by John Webb which fixes SSL connections to Yaws.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Sep 2007 15:51:36 +0400

yaws (1.70-1) unstable; urgency=low

  * New upstream release.
  * Replaced deprecated ${Source-Version} substitution variable by
    ${binary:Version} in debian control file.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error (in fact, it is a missing include.mk error).
  * Made clean-patched target in debian/rules depend on patch-stamp.
  * Redefined HOME environment variable to fix Erlang compiler warnings in
    case when HOME points to an existent inaccessible directory.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 12 Sep 2007 21:43:35 +0400

yaws (1.68-5) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed licence agreement in debian/copyright (closes: #440402).
  * Added Sergei Golovan <sgolovan@debian.org> to uploaders list.
  * Bumped debhelper compatibility level to 5.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 01 Sep 2007 12:36:30 +0400

yaws (1.68-4) unstable; urgency=low

  [ Sergei Golovan ]
  * Added dependency on erlang ABI virtual package.
  * Relaxed dependency on erlang-dev (moved it to Suggests from Recommends).
  * Added Yaws homepage to the package description.
  * Added build-indep and build-arch targets to debian/rules.

 -- Torsten Werner <twerner@debian.org>  Tue, 26 Jun 2007 19:49:46 +0400

yaws (1.68-3) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed cleaning up after build (closes: #424093).

 -- Torsten Werner <twerner@debian.org>  Thu, 17 May 2007 20:39:42 +0400

yaws (1.68-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Moved document roots away from /var/www. Yaws document root is now ar
    /usr/share/yaws, yaws-chat and yaws-mail document roots are in
    /usr/share/yaws-chat and yaws-mail respectively. Yaws-wiki requires write
    access to its document root, so it is placed to /var/lib/yaws-wiki.

 -- Torsten Werner <twerner@debian.org>  Mon, 07 May 2007 23:14:59 +0400

yaws (1.68-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream release.
  * Removed patch for multiple config files support (it's included in
    upstream distribution).
  * Removed patch, which added DESTDIR variable support, (it's included
    in upstream distribution).

 -- Torsten Werner <twerner@debian.org>  Fri, 09 Feb 2007 19:14:42 +0300

yaws (1.66-2) experimental; urgency=low

  [ Sergei Golovan ]
  * Added patch and unpatch targets to debian/rules.
  * Made clean target in debian/rules clean up yaws applications.
  * Renamed and documented patches in debian/patches.
  * Moved creating yaws user from preinst to postinst script as required
    by Debian Policy.
  * Split the package into five binary packages. Separated all
    applications, supplied with Yaws (chat, mail, wiki, yapp) to their
    own packages.
  * Added patch to support multiple configs, rewritten Yaws config to
    source all files in /etc/yaws/conf.d directory, making installing/
    removing applications/virtual hosts easier.
  * Added emergency exits in debian/rules in case of errors inside for
    loops (thanks to Christoph Berg for pointing out the problem).
  * Strictened config directory permissions (thanks to Christoph Berg for
    pointing out the problem).
  * Replaced SSL certificates supplied with upstream tarball by generated
    in postinst script.

 -- Torsten Werner <twerner@debian.org>  Sat, 13 Jan 2007 19:08:09 +0300

yaws (1.66-1) experimental; urgency=low

  [ Torsten Werner ]
  * Remove redundant Build-Depends because they are already fulfilled by
    erlang-dev.
  * Switched to erlang-depends.
  * Refactored the package a bit by introducing dh_install.
  * Fixed some dpatches.
  * Switch from dpatch to quilt.

  [ Sergei Golovan ]
  * New upstream release.

 -- Torsten Werner <twerner@debian.org>  Fri, 15 Dec 2006 22:59:40 +0100

yaws (1.65-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed shared-lib-without-dependency-information lintian warning
    by explicitly linking setuid_drv.so to libc.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Thu, 14 Sep 2006 22:42:00 +0400

yaws (1.65-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream version.
  * Moved Yaws applications to /usr/lib/yaws/<applicationname>
    directories, and moved applications' docroots to
    /usr/lib/yaws/<applicationname>/priv/docroot directories. Users,
    who want to use these applications can copy or link docroots to
    /var/www or whatever.
  * Overridden image-file-in-usr-lib lintian warning.
  * Added erlang-nox to Build-Depends because it is required to
    build documentation for new yaws application yapp.
  * Added LSB keyword section to init.d script.
  * Removed patches which corrected including Yaws headers. They are
    included to upstream.
  * Added Yaws logo to the default web page.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Wed, 13 Sep 2006 10:09:08 +0400

yaws (1.64-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Again use /etc/mime.types to build.
  * Added versioned dependency on erlang.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Sun, 23 Jul 2006 14:47:10 +0400

yaws (1.64-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream version.
  * Removed patches from yaws_cgi.erl and yaws_ctl.erl because they
    are included in upstream.
  * Added chat, mail, and wiki applications included into yaws
    distribution.
  * Added erlang-dev to Recommends section of debian/control (yaws
    dynamic pages may require some development files in order to be
    compiled in-place).
  * Overrided lintian warning shared-lib-without-dependency-information
    (the library setuid_drv.so is not to link binaries with it).
  * Changed /etc/yaws/yaws.conf permissions to 600 because it may contain
    authentication data.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Fri, 14 Jul 2006 21:45:31 +0400

yaws (1.63-2) unstable; urgency=low

  * Fixed Maintainer address in debian/control.

  [ Sergei Golovan ]
  * Added /usr/lib/yaws/ebin and /usr/lib/yaws/include to directory
    list.
  * Removed username option from yaws.conf since it isn't supported
    anymore.
  * Set environment variable SCRIPT_FILENAME to make php-cgi of
    version 4.3.2 and above working.
  * Added two new variable sto yaws.default. YAWS_USER allows to run yaws
    from nonroot user. YAWS_ID specifies daemon id (instead of two
    different places - yaws.conf and yaws.init)
  * Moved configs to /etc/yaws directory.
  * Create new user yaws during installation.
  * Patched yaws_ctl.erl to fix insecure controlling of Yaws daemon.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Thu, 06 Jul 2006 01:03:02 +0400

yaws (1.63-1) unstable; urgency=low

  * New upstream release
  * New mainteners: Erlang Packagers.

  [ Francois-Denis Gonthier ]
  * Closes: #366341. No longer depends on Erlang only.
  * Closes: #356272. Cleans log on purge.
  * Closes: #353189. We don't need to depend on erlang-src.  In all cases
    erlang-src is in the archive now so it's not longer a bug.

  [ Sergei Golovan ]
  * Updated Build-Depends to use erlang 10.b.10.
  * Moved yaws erlang binaries and includes from /usr/lib/yaws to
    /usr/lib/erlang/lib/yaws-1.63. This makes yaws modules development
    easier.
  * Made yaws using /usr/lib/yaws as its application directory
    instead of /usr/lib/yaws/examples.
  * Removed yaws headers from /usr/lib/erlang/lib/yaws-1.63. They
    duplicate the files in include subdir.
  * Added two new options to yaws.conf.
  * Added commented virtual host examples to yaws.conf.
  * Added get-orig-source target to debian/rules.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Tue, 20 Jun 2006 11:23:24 +0400

yaws (1.58-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Removed the build dependency on erlang-src, which doesn't
    exist. Added a build dependency on libpam0g-dev. Closes: #353189.
  * debian/yaws.postrm: Added. Now removes /var/log/yaws on purge
    (see policy 10.8, Log files, last paragraph). Closes: #356272.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 10 Mar 2006 18:35:58 +0000

yaws (1.58-1) unstable; urgency=low

  * New upstream release.
  * Updated debhelper build dep. 

 -- Will Newton <will@debian.org>  Wed, 15 Feb 2006 20:28:08 +0000

yaws (1.57-1) unstable; urgency=low

  * New upstream release.
  * Use /etc/mime.types for build. (Closes: #317557)
  * Bumped standards version to 3.6.2.

 -- Will Newton <will@debian.org>  Wed, 17 Aug 2005 19:33:58 +0100

yaws (1.56-1) unstable; urgency=low

  * New upstream version.
    - Fixes source disclosure security issue.

 -- Will Newton <will@debian.org>  Thu, 16 Jun 2005 17:37:07 +0100

yaws (1.55-2) unstable; urgency=low

  * Provide httpd-cgi. (Closes: #312911) 

 -- Will Newton <will@debian.org>  Sat, 11 Jun 2005 12:12:14 +0100

yaws (1.55-1) unstable; urgency=low

  * New upstream version. 

 -- Will Newton <will@debian.org>  Fri, 10 Jun 2005 16:02:30 +0100

yaws (1.54-1) unstable; urgency=low

  * Initial release (Closes: #211544)

 -- Will Newton <will@debian.org>  Thu, 19 May 2005 20:55:25 +0100

